<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hidsc__report__map__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hidsc_report_map_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hidsc__report__map__t_1a4c11e68901bbfe37eb94637d4f030503" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidsc_report_map_t::errdHandle</definition>
        <argsstring />
        <name>errdHandle</name>
        <briefdescription>
<para>Handle of Report Map External Report Reference descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="200" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__report__map__t_1ac7e6c72a1b194d34e19c14cc9e4eb428" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidsc_report_map_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Report Characteristic value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="203" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="203" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__report__map__t_1a20327952c7c8217ad84d8224054daa5b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidsc_report_map_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="206" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="206" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__report__map__t_1ac8c67b7c0c9f2e4974b3c9ae780d21ec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidsc_report_map_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="209" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HID client Report map Characteristic. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="210" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="198" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hidsc__report__map__t_1a20327952c7c8217ad84d8224054daa5b" virt="non-virtual"><scope>cy_stc_ble_hidsc_report_map_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__report__map__t_1a4c11e68901bbfe37eb94637d4f030503" virt="non-virtual"><scope>cy_stc_ble_hidsc_report_map_t</scope><name>errdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__report__map__t_1ac8c67b7c0c9f2e4974b3c9ae780d21ec" virt="non-virtual"><scope>cy_stc_ble_hidsc_report_map_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__report__map__t_1ac7e6c72a1b194d34e19c14cc9e4eb428" virt="non-virtual"><scope>cy_stc_ble_hidsc_report_map_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>